Subject: Re: [PATCH 2/2] builtin/repo: fix table alignment for UTF-8 characters

From: Junio C Hamano <[email-masked]>
Date: Sun, 16 Nov 2025 08:51:35 -0800

Jiang Xin <[email-masked]> writes:

> t1901 already includes test cases to safeguard the output of the
> "git repo structure" command.  I could add a new test case to
> validate the output when localized in Chinese (as shown below),
> but such a test would be inherently unstable, because it risks
> breaking at the end of every release cycle whenever translations
> change.

I haven't considered the i18n aspect.  We already compare program
output with expected output, so a change in a message has to be
updated together with the test that covers the code path, but po/
updates tend to come too late for test updates, so the problem is
much more serious.

OK.  Let's omit this feature from end-to-end testing at least for
now.  Thanks.